<?php
/**
 * Translucent image slideshow
 *
 * @package 	Translucent image slideshow
 * @subpackage 	Translucent image slideshow
 * @version   	4.7
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2017 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/07/translucent-image-slideshow-joomla-module/
 */

// no direct access
defined('_JEXEC') or die;

if ( ! empty($images) ) 
{
	
	$slideshow_link	= $params->get('tslideshow_link');
	$slideshow_width = $params->get('tslideshow_width');
	$slideshow_height = $params->get('tslideshow_height');
	$slideshow_speed = $params->get('tslideshow_speed');
	$slideshow_delay = $params->get('tslideshow_delay');
	$slideshow_effect = $params->get('tslideshow_effect');
	$moduleclass_sfx = htmlspecialchars($params->get('tmoduleclass_sfx'));
	
	if(!is_numeric($slideshow_width)) { $slideshow_width = 200; }
	if(!is_numeric($slideshow_height)) { $slideshow_height = 150; }
	if(!is_numeric($slideshow_speed)) { $slideshow_speed = 400; }
	if(!is_numeric($slideshow_delay)) { $slideshow_delay = 3000; }
	
	if($slideshow_effect != "v" &&  $slideshow_effect != "h")
	{
		$slideshow_effect = "v";
	}
	
	$TISG_count = 0;
	$TISG_returnstr = "";
	$TISG_path = "";
	foreach ( $images as $images ) 
	{	
		$TISG_path = JURI::base().$folder ."/". $images->name;
		$TISG_path = str_replace('\\', '/', $TISG_path);	
		
		if($slideshow_link == "" )
		{
			$TISG_str =  '["' . $TISG_path . '", "", ""],';
		}
		else
		{
			$TISG_str =  '["' . $TISG_path . '", "'. $slideshow_link .'", "_new"],';
		}
		$TISG_returnstr = $TISG_returnstr . $TISG_str;
		$TISG_count++;
	}
	$TISG_returnstr = substr($TISG_returnstr,0,(strlen($TISG_returnstr)-1));
}
?>
<script type="text/javascript">
var TISG=new TISG_translideshow({
	TISG_wrapperid: "myslideshow_<?php echo $moduleclass_sfx; ?>",
	TISG_dimensions: [<?php echo $slideshow_width; ?>, <?php echo $slideshow_height; ?>],
	TISG_imagearray: [<?php echo $TISG_returnstr; ?>],
	TISG_displaymode: {type:'auto', pause:<?php echo $slideshow_delay; ?>, cycles:15, pauseonmouseover:true},
	TISG_orientation: "<?php echo $slideshow_effect; ?>", 
	TISG_persist: true, 
	TISG_slideduration: <?php echo $slideshow_speed; ?>
})
</script>
<div id='myslideshow_<?php echo $moduleclass_sfx; ?>'></div>
